package com.gh.gamecenter.oaid

import android.content.Context
import com.therouter.TheRouter
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IOAIDProvider

object OAIDHelper {

    fun doSystemLoad() {
        val oaidProvider = TheRouter.get(IOAIDProvider::class.java)

        oaidProvider?.doSystemLoad()
    }

    fun getOAID(context: Context, callback: (String, Boolean) -> Unit) {
        val oaidProvider = TheRouter.get(IOAIDProvider::class.java)

        oaidProvider?.getOAID(context, callback)
    }

}